IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/src/sysUtils/Makefile

    r2869 r3115  
    1 ###############################################################################
    2 ##
    3 ##  Makefile:   sysUtils
    4 ##
    5 ##  $Revision: 1.24 $  $Name: not supported by cvs2svn $
    6 ##  $Date: 2005-01-03 23:41:36 $
    7 ##
    8 ##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
    9 ###############################################################################
    10 
    11 # Define variable prefix to the top level project - psLib
    12 # This is necessary for definition is Makefile.Globals uses prefix
    13 
    14 ifndef prefix
    15     export prefix=$(shell cd ../..;pwd)
    16 endif
    17 
    18 # Define the two targets to be built
    19 
    20 TARGET_STATIC  = libpslib.a
    21 
    22 # Include the make global definitions for the project
    23 
    24 include ../Makefile.Globals
    25 
    26 # Set CFLAGS used by the implicit rule to compile .c
    27 
    28 CFLAGS := $(CFLAGS_RELOC) -DPS_LIB_VERSION="\"$(PS_LIB_VERSION)\"" -I../collections -I../dataManip -I../sysUtils -I../include -I../astronomy -I../image -I..
    29 
    30 # Define the source objects
    31 
    32 SRC_OBJS = psMemory.o     \
    33            psError.o      \
    34            psTrace.o      \
    35            psLogMsg.o     \
    36            psAbort.o      \
    37            psString.o     \
    38            psConfigure.o  \
    39            psErrorCodes.o
    40 
    41 OBJS = $(addprefix makedir/,$(SRC_OBJS))
    42 
    43 HEADERS = $(SRC_OBJS:.o=.h) psType.h
    44 
    45 # Define PHONY target "all" which will make all the necessary items
    46 
    47 all: $(TARGET_STATIC)
    48 
    49 psErrorCodes.h: ../psErrorCodes.dat
    50         perl ../parseErrorCodes.pl --data=$? $@
    51 
    52 psErrorCodes.c: ../psErrorCodes.dat
    53         perl ../parseErrorCodes.pl --data=$? $@
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# src/sysUtils/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16
     17
     18SOURCES = $(libpslibsysUtils_la_SOURCES)
     19
     20srcdir = .
     21top_srcdir = ../..
     22
     23pkgdatadir = $(datadir)/pslib
     24pkglibdir = $(libdir)/pslib
     25pkgincludedir = $(includedir)/pslib
     26top_builddir = ../..
     27am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     28INSTALL = /usr/bin/install -c
     29install_sh_DATA = $(install_sh) -c -m 644
     30install_sh_PROGRAM = $(install_sh) -c
     31install_sh_SCRIPT = $(install_sh) -c
     32INSTALL_HEADER = $(INSTALL_DATA)
     33transform = $(program_transform_name)
     34NORMAL_INSTALL = :
     35PRE_INSTALL = :
     36POST_INSTALL = :
     37NORMAL_UNINSTALL = :
     38PRE_UNINSTALL = :
     39POST_UNINSTALL = :
     40build_triplet = x86_64-unknown-linux-gnu
     41host_triplet = x86_64-unknown-linux-gnu
     42subdir = src/sysUtils
     43DIST_COMMON = README $(pslibinclude_HEADERS) $(srcdir)/Makefile.am \
     44        $(srcdir)/Makefile.in
     45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     46am__aclocal_m4_deps = $(top_srcdir)/configure.in
     47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     48        $(ACLOCAL_M4)
     49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     50CONFIG_HEADER = $(top_builddir)/src/config.h
     51CONFIG_CLEAN_FILES =
     52LTLIBRARIES = $(noinst_LTLIBRARIES)
     53libpslibsysUtils_la_LIBADD =
     54am_libpslibsysUtils_la_OBJECTS = psMemory.lo psError.lo psTrace.lo \
     55        psLogMsg.lo psAbort.lo psString.lo psConfigure.lo \
     56        psErrorCodes.lo
     57libpslibsysUtils_la_OBJECTS = $(am_libpslibsysUtils_la_OBJECTS)
     58DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
     59depcomp = $(SHELL) $(top_srcdir)/depcomp
     60am__depfiles_maybe = depfiles
     61COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     62        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     63LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
     64        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
     65        $(AM_CFLAGS) $(CFLAGS)
     66CCLD = $(CC)
     67LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
     68        $(AM_LDFLAGS) $(LDFLAGS) -o $@
     69SOURCES = $(libpslibsysUtils_la_SOURCES)
     70DIST_SOURCES = $(libpslibsysUtils_la_SOURCES)
     71am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     72am__vpath_adj = case $$p in \
     73    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     74    *) f=$$p;; \
     75  esac;
     76am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     77am__installdirs = "$(DESTDIR)$(pslibincludedir)"
     78pslibincludeHEADERS_INSTALL = $(INSTALL_HEADER)
     79HEADERS = $(pslibinclude_HEADERS)
     80ETAGS = etags
     81CTAGS = ctags
     82DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     83ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     84AMDEP_FALSE = #
     85AMDEP_TRUE =
     86AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     87AR = ar
     88AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     89AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     90AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     91AWK = gawk
     92CC = gcc
     93CCDEPMODE = depmode=gcc3
     94CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     95CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     96CPP = gcc -E
     97CPPFLAGS =
     98CXX = g++
     99CXXCPP = g++ -E
     100CXXDEPMODE = depmode=gcc3
     101CXXFLAGS = -g -O2
     102CYGPATH_W = echo
     103DEFS = -DHAVE_CONFIG_H
     104DEPDIR = .deps
     105ECHO = echo
     106ECHO_C =
     107ECHO_N = -n
     108ECHO_T =
     109EGREP = grep -E
     110EXEEXT =
     111F77 = g77
     112FFLAGS = -fno-second-underscore -O -fno-f2c
     113GSL_CONFIG = /usr/bin/gsl-config
     114INSTALL_DATA = ${INSTALL} -m 644
     115INSTALL_PROGRAM = ${INSTALL}
     116INSTALL_SCRIPT = ${INSTALL}
     117INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     118LDFLAGS =
     119LIBOBJS =
     120LIBS =
     121LIBTOOL = $(SHELL) $(top_builddir)/libtool
     122LN_S = ln -s
     123LTLIBOBJS =
     124MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     125OBJEXT = o
     126PACKAGE = pslib
     127PACKAGE_BUGREPORT =
     128PACKAGE_NAME =
     129PACKAGE_STRING =
     130PACKAGE_TARNAME =
     131PACKAGE_VERSION =
     132PATH_SEPARATOR = :
     133PERL = /usr/bin/perl
     134PSLIB_CFLAGS = -I${prefix}/include
     135PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     136RANLIB = ranlib
     137SET_MAKE =
     138SHELL = /bin/sh
     139STRIP = strip
     140SWIG = /usr/bin/swig
     141VERSION = 1.5
     142XML_CONFIG = /usr/bin/xml2-config
     143ac_ct_AR = ar
     144ac_ct_CC = gcc
     145ac_ct_CXX = g++
     146ac_ct_F77 = g77
     147ac_ct_RANLIB = ranlib
     148ac_ct_STRIP = strip
     149am__fastdepCC_FALSE = #
     150am__fastdepCC_TRUE =
     151am__fastdepCXX_FALSE = #
     152am__fastdepCXX_TRUE =
     153am__include = include
     154am__leading_dot = .
     155am__quote =
     156am__tar = ${AMTAR} chof - "$$tardir"
     157am__untar = ${AMTAR} xf -
     158bindir = ${exec_prefix}/bin
     159build = x86_64-unknown-linux-gnu
     160build_alias =
     161build_cpu = x86_64
     162build_os = linux-gnu
     163build_vendor = unknown
     164datadir = ${prefix}/share
     165exec_prefix = ${prefix}
     166host = x86_64-unknown-linux-gnu
     167host_alias =
     168host_cpu = x86_64
     169host_os = linux-gnu
     170host_vendor = unknown
     171includedir = ${prefix}/include
     172infodir = ${prefix}/info
     173install_sh = /home/desonia/panstarrs/psLib/install-sh
     174libdir = ${exec_prefix}/lib
     175libexecdir = ${exec_prefix}/libexec
     176localstatedir = ${prefix}/var
     177mandir = ${prefix}/man
     178mkdir_p = mkdir -p --
     179oldincludedir = /usr/include
     180prefix = /home/desonia/panstarrs/psLib
     181program_transform_name = s,x,x,
     182sbindir = ${exec_prefix}/sbin
     183sharedstatedir = ${prefix}/com
     184sysconfdir = ${prefix}/etc
     185target_alias =
     186
     187#Makefile for sysUtils functions of psLib
     188#
     189INCLUDES = \
     190        -I$(top_srcdir)/src/astronomy \
     191        -I$(top_srcdir)/src/collections \
     192        -I$(top_srcdir)/src/dataManip \
     193        -I$(top_srcdir)/src/fileUtils \
     194        -I$(top_srcdir)/src/image \
     195        $(all_includes)
     196
     197noinst_LTLIBRARIES = libpslibsysUtils.la
     198libpslibsysUtils_la_SOURCES = \
     199        psMemory.c     \
     200        psError.c      \
     201        psTrace.c      \
     202        psLogMsg.c     \
     203        psAbort.c      \
     204        psString.c     \
     205        psConfigure.c  \
     206        psErrorCodes.c
     207
     208BUILT_SOURCES = psSysUtilsErrors.h
     209EXTRA_DIST = psSysUtilsErrors.dat psSysUtilsErrors.h
     210pslibincludedir = $(includedir)/pslib
     211pslibinclude_HEADERS = \
     212        psType.h       \
     213        psMemory.h     \
     214        psError.h      \
     215        psTrace.h      \
     216        psLogMsg.h     \
     217        psAbort.h      \
     218        psString.h     \
     219        psConfigure.h  \
     220        psErrorCodes.h
     221
     222all: $(BUILT_SOURCES)
     223        $(MAKE) $(AM_MAKEFLAGS) all-am
     224
     225.SUFFIXES:
     226.SUFFIXES: .c .lo .o .obj
     227$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     228        @for dep in $?; do \
     229          case '$(am__configure_deps)' in \
     230            *$$dep*) \
     231              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     232                && exit 0; \
     233              exit 1;; \
     234          esac; \
     235        done; \
     236        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/sysUtils/Makefile'; \
     237        cd $(top_srcdir) && \
     238          $(AUTOMAKE) --gnu  src/sysUtils/Makefile
     239.PRECIOUS: Makefile
     240Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     241        @case '$?' in \
     242          *config.status*) \
     243            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     244          *) \
     245            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     246            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     247        esac;
     248
     249$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     250        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     251
     252$(top_srcdir)/configure:  $(am__configure_deps)
     253        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     254$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     255        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     256
     257clean-noinstLTLIBRARIES:
     258        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
     259        @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
     260          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
     261          test "$$dir" != "$$p" || dir=.; \
     262          echo "rm -f \"$${dir}/so_locations\""; \
     263          rm -f "$${dir}/so_locations"; \
     264        done
     265libpslibsysUtils.la: $(libpslibsysUtils_la_OBJECTS) $(libpslibsysUtils_la_DEPENDENCIES)
     266        $(LINK)  $(libpslibsysUtils_la_LDFLAGS) $(libpslibsysUtils_la_OBJECTS) $(libpslibsysUtils_la_LIBADD) $(LIBS)
     267
     268mostlyclean-compile:
     269        -rm -f *.$(OBJEXT)
     270
     271distclean-compile:
     272        -rm -f *.tab.c
     273
     274include ./$(DEPDIR)/psAbort.Plo
     275include ./$(DEPDIR)/psConfigure.Plo
     276include ./$(DEPDIR)/psError.Plo
     277include ./$(DEPDIR)/psErrorCodes.Plo
     278include ./$(DEPDIR)/psLogMsg.Plo
     279include ./$(DEPDIR)/psMemory.Plo
     280include ./$(DEPDIR)/psString.Plo
     281include ./$(DEPDIR)/psTrace.Plo
     282
     283.c.o:
     284        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     285        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     286#       source='$<' object='$@' libtool=no \
     287#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     288#       $(COMPILE) -c $<
     289
     290.c.obj:
     291        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     292        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     293#       source='$<' object='$@' libtool=no \
     294#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     295#       $(COMPILE) -c `$(CYGPATH_W) '$<'`
     296
     297.c.lo:
     298        if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     299        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     300#       source='$<' object='$@' libtool=yes \
     301#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     302#       $(LTCOMPILE) -c -o $@ $<
     303
     304mostlyclean-libtool:
     305        -rm -f *.lo
     306
     307clean-libtool:
     308        -rm -rf .libs _libs
     309
     310distclean-libtool:
     311        -rm -f libtool
     312uninstall-info-am:
     313install-pslibincludeHEADERS: $(pslibinclude_HEADERS)
     314        @$(NORMAL_INSTALL)
     315        test -z "$(pslibincludedir)" || $(mkdir_p) "$(DESTDIR)$(pslibincludedir)"
     316        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     317          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
     318          f=$(am__strip_dir) \
     319          echo " $(pslibincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     320          $(pslibincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(pslibincludedir)/$$f"; \
     321        done
     322
     323uninstall-pslibincludeHEADERS:
     324        @$(NORMAL_UNINSTALL)
     325        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     326          f=$(am__strip_dir) \
     327          echo " rm -f '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     328          rm -f "$(DESTDIR)$(pslibincludedir)/$$f"; \
     329        done
     330
     331ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     332        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     333        unique=`for i in $$list; do \
     334            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     335          done | \
     336          $(AWK) '    { files[$$0] = 1; } \
     337               END { for (i in files) print i; }'`; \
     338        mkid -fID $$unique
     339tags: TAGS
     340
     341TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     342                $(TAGS_FILES) $(LISP)
     343        tags=; \
     344        here=`pwd`; \
     345        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     346        unique=`for i in $$list; do \
     347            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     348          done | \
     349          $(AWK) '    { files[$$0] = 1; } \
     350               END { for (i in files) print i; }'`; \
     351        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     352          test -n "$$unique" || unique=$$empty_fix; \
     353          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     354            $$tags $$unique; \
     355        fi
     356ctags: CTAGS
     357CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     358                $(TAGS_FILES) $(LISP)
     359        tags=; \
     360        here=`pwd`; \
     361        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     362        unique=`for i in $$list; do \
     363            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     364          done | \
     365          $(AWK) '    { files[$$0] = 1; } \
     366               END { for (i in files) print i; }'`; \
     367        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     368          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     369             $$tags $$unique
     370
     371GTAGS:
     372        here=`$(am__cd) $(top_builddir) && pwd` \
     373          && cd $(top_srcdir) \
     374          && gtags -i $(GTAGS_ARGS) $$here
     375
     376distclean-tags:
     377        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     378
     379distdir: $(DISTFILES)
     380        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     381        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     382        list='$(DISTFILES)'; for file in $$list; do \
     383          case $$file in \
     384            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     385            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     386          esac; \
     387          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     388          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     389          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     390            dir="/$$dir"; \
     391            $(mkdir_p) "$(distdir)$$dir"; \
     392          else \
     393            dir=''; \
     394          fi; \
     395          if test -d $$d/$$file; then \
     396            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     397              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     398            fi; \
     399            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     400          else \
     401            test -f $(distdir)/$$file \
     402            || cp -p $$d/$$file $(distdir)/$$file \
     403            || exit 1; \
     404          fi; \
     405        done
     406check-am: all-am
     407check: $(BUILT_SOURCES)
     408        $(MAKE) $(AM_MAKEFLAGS) check-am
     409all-am: Makefile $(LTLIBRARIES) $(HEADERS)
     410installdirs:
     411        for dir in "$(DESTDIR)$(pslibincludedir)"; do \
     412          test -z "$$dir" || $(mkdir_p) "$$dir"; \
     413        done
     414install: $(BUILT_SOURCES)
     415        $(MAKE) $(AM_MAKEFLAGS) install-am
     416install-exec: install-exec-am
     417install-data: install-data-am
     418uninstall: uninstall-am
     419
     420install-am: all-am
     421        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     422
     423installcheck: installcheck-am
     424install-strip:
     425        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     426          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     427          `test -z '$(STRIP)' || \
     428            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     429mostlyclean-generic:
     430
     431clean-generic:
     432
     433distclean-generic:
     434        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     435
     436maintainer-clean-generic:
     437        @echo "This command is intended for maintainers to use"
     438        @echo "it deletes files that may require special tools to rebuild."
     439        -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
     440clean: clean-am
     441
     442clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
     443        mostlyclean-am
     444
     445distclean: distclean-am
     446        -rm -rf ./$(DEPDIR)
     447        -rm -f Makefile
     448distclean-am: clean-am distclean-compile distclean-generic \
     449        distclean-libtool distclean-tags
     450
     451dvi: dvi-am
     452
     453dvi-am:
     454
     455html: html-am
     456
     457info: info-am
     458
     459info-am:
     460
     461install-data-am: install-pslibincludeHEADERS
     462
     463install-exec-am:
     464
     465install-info: install-info-am
     466
     467install-man:
     468
     469installcheck-am:
     470
     471maintainer-clean: maintainer-clean-am
     472        -rm -rf ./$(DEPDIR)
     473        -rm -f Makefile
     474maintainer-clean-am: distclean-am maintainer-clean-generic
     475
     476mostlyclean: mostlyclean-am
     477
     478mostlyclean-am: mostlyclean-compile mostlyclean-generic \
     479        mostlyclean-libtool
     480
     481pdf: pdf-am
     482
     483pdf-am:
     484
     485ps: ps-am
     486
     487ps-am:
     488
     489uninstall-am: uninstall-info-am uninstall-pslibincludeHEADERS
     490
     491.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
     492        clean-libtool clean-noinstLTLIBRARIES ctags distclean \
     493        distclean-compile distclean-generic distclean-libtool \
     494        distclean-tags distdir dvi dvi-am html html-am info info-am \
     495        install install-am install-data install-data-am install-exec \
     496        install-exec-am install-info install-info-am install-man \
     497        install-pslibincludeHEADERS install-strip installcheck \
     498        installcheck-am installdirs maintainer-clean \
     499        maintainer-clean-generic mostlyclean mostlyclean-compile \
     500        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     501        tags uninstall uninstall-am uninstall-info-am \
     502        uninstall-pslibincludeHEADERS
     503
    54504
    55505psSysUtilsErrors.h: psSysUtilsErrors.dat
    56         perl ../parseErrorCodes.pl --data=$? $@
    57 
    58 
    59 # Rule to make static library
    60 
    61 libpslib.a: $(OBJS)
    62 # The ar option -r is to add/replace object and -s is to create
    63 # a symbol table in the archive
    64         $(AR) rcs ../$@ $(OBJS)
    65 
    66 # Define PHONY target "install" which will install necessary files
    67 
    68 install: $(TARGET_STATIC)
    69         install $(HEADERS) $(includedir)
    70 
    71 # Define PHONY target "distclean" which will cleanup the distribution
    72 
    73 distclean:      clean
    74         $(RM) ../$(TARGET_STATIC)
    75 
    76 # Define PHONY target "clean" which will cleanup the development area
    77 
    78 clean:
    79         @echo "    Deleting intermediate files for 'sysUtils'"
    80         $(RM) $(OBJS) *.lint
    81 
    82 cleandep:
    83         $(RM) $(OBJS:.o=.d)
    84 
    85 %.lint: %.c
    86         splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
    87 
    88 makedir/%.o: %.c
    89         $(CC) -c $(CFLAGS) -o $@ $<
    90 
    91 makedir/%.d: %.c
    92         $(CC) -MM $(CFLAGS) $< > $@.tmp
    93         sed 's|\($*\)\.o[ :]*|\1.o $@ : |g' $@.tmp > $@
    94         $(RM) -f $@.tmp
    95 
    96 include $(OBJS:.o=.d)
     506        perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@
     507# Tell versions [3.59,3.63) of GNU make to not export all variables.
     508# Otherwise a system limit (for SysV at least) may be exceeded.
     509.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.